Name:		audacity
Version:	1.2.4
Release:	0.1.b.ML5
Summary: 	A multitrack audio editor

Group: 		Applications/Multimedia
License:	GPL
URL: 		http://audacity.sourceforge.net
Source: 	http://dl.sf.net/sourceforge/audacity/audacity-src-1.2.4b.tar.gz
Source1:	audacity.png
Patch1:		audacity-1.2.2-aboutdialog.patch
Patch2:     	audacity-1.2.3-gcc41.patch
Patch3:     	audacity-1.2.4b-missing-pango.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	libogg-devel, libvorbis-devel, zlib-devel, perl
BuildRequires:	gettext, zip, flac-devel, ladspa-devel
BuildRequires:	libsamplerate-devel, libsndfile-devel
BuildRequires:	libid3tag-devel, desktop-file-utils
BuildRequires: 	libmad-devel
BuildRequires: 		compat-wxGTK2-devel
#BuildRequires: 	compat-wxGTK-devel
# libwx_gtk2-2.4.so: undefined reference to `pango_x_get_context'
BuildRequires:  	pango-devel
Requires(post):		desktop-file-utils
Requires(postun):	desktop-file-utils


%description
Audacity is a cross-platform multitrack audio editor. It allows you to
record sounds directly or to import Ogg, WAV, AIFF, AU, IRCAM, or MP3
files. It features a few simple effects, all of the editing features
you should need, and unlimited undo. The GUI was built with wxWindows
and the audio I/O currently uses OSS under Linux. Audacity runs on
Linux/*BSD, MacOS, and Windows.

%prep
%setup -q -n %{name}-src-%{version}b
%patch1 -p1 -b .aboutdialog
%patch2 -p1 -b .gcc4
%patch3 -p1 -b .missing-pango
cp -a src/Languages.cpp src/Languages.cpp.orig
iconv -f ISO_8859-1 -t UTF-8 src/Languages.cpp.orig > src/Languages.cpp
for i in help/wxhelp/audacity.hhk help/wxhelp/exportmp3.htm locale/*.po src/export/ExportMP3.cpp
do
   perl -pi -e 's!libmp3lame.so([^.0-9]+)!libmp3lame.so.0$1!g' $i
done

%build
# Push a softlink into PATH so the renamed wx-config inside
# the compat-wxGTK2-devel package is found and taken.
%define mybindir __mybin__
mkdir %{mybindir}
ln -s $(which wx-2.4-config) %{mybindir}/wx-config
export PATH=$(pwd)/%{mybindir}:$PATH

%configure --with-help --with-libsndfile=system --with-libsamplerate=system --with-libflac=system --with-ladspa --with-vorbis=system --with-id3tag=system --with-libmad=system
make

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/pixmaps

cat > audacity.desktop <<EOF
[Desktop Entry]
Name=Audacity
GenericName=Sound editor
Type=Application
Exec=audacity
Icon=audacity.png
Terminal=false
Comment=A multitrack audio editor
Encoding=UTF-8
X-Desktop-File-Install-Version=0.4
MimeType=audio/*;application/ogg;application/x-ogg;audio/x-ogg
StartupWMClass=Audacity
EOF

desktop-file-install --vendor startcom \
    --add-category X-StartCom \
    --add-category Application \
    --add-category GNOME \
    --add-category AudioVideo \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    audacity.desktop

%{find_lang} %{name}

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
/usr/bin/update-desktop-database /usr/share/applications > /dev/null 2>&1 || :

%postun
/usr/bin/update-desktop-database /usr/share/applications > /dev/null 2>&1 || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/*
%{_datadir}/audacity
%{_mandir}/*/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%doc %{_datadir}/doc/*

%changelog
* Mon Mar 27 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Fri Mar 17 2006 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.2.4-0.1.b
- Update to 1.2.4b (stable release).
- Follow upstream recommendation and use the GTK+ 1.x wxGTK.
  This is because of various issues with fonts/layout/behaviour.
- Build with compat-wxGTK-devel.
- Modify build section to find wx-2.4-config instead of wx-config.

* Fri May 20 2005 David Woodhouse <dwmw2@infradead.org> - 1.2.3-5
- Bump release number again due to spurious build system failure and
  the fact that the build system seems to be ignoring repeated build
  requests for the previous version.

* Fri May 20 2005 David Woodhouse <dwmw2@infradead.org> - 1.2.3-4
- Add more possible MIME types for ogg which may be seen even though
  they're not standard.

* Thu Apr  7 2005 Gerard Milmeister <gemi@bluewin.ch> - 1.2.3-3
- Build gtk2 version by default

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Tue Apr  5 2005 Gerard Milmeister <gemi@bluewin.ch> - 1.2.3-2
- Rebuild to pick a new FLAC dependencies

* Sat Nov 20 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:1.2.3-1
- New Version 1.2.3

* Sat Oct 30 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:1.2.2-0.fdr.1
- Update to 1.2.2, patch aboutdialog to be readable with wxGTK.

* Mon May 10 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:1.2.1-0.fdr.1
- New Version 1.2.1

* Sun Apr 11 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:1.2.0-0.fdr.2
- Fix for Language.cpp restored

* Tue Mar  2 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:1.2.0-0.fdr.1
- New Version 1.2.0

* Mon Nov 24 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:1.2.0-0.fdr.4.pre3
- Added icon
- Separated mp3 plugin

* Sun Nov 23 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:1.2.0-0.fdr.2.pre3
- Changes to specfile

* Sun Nov  2 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:1.2.0-0.fdr.1.pre3
- New upstream version 1.2.0-pre3

* Sat Oct 25 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:1.2.0-pre2.fdr.1
- First Fedora release

